Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 08/12/2009, à 19:34

smecher

[resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

############################################
Derniere version:  Version 0.2

http://www.sputnick-area.net/scripts/SimpleHTTPServerGui.bash

Script permettant de lancer un serveur web en dialog zenity
a la volee dans le dossier courrant.
Il affiche les IP:PORT interne et externes qui seront disponibles.

############################################



Bonjour a toutes et tous

Voila, j'ai essayer de faire un script en bash permettant en 1 seule action de lancer ou d'arreter le serveur python
SimpleHTTPServer

Je me suis foartement inspirer de ces 2 scripts trouvé ici:

http://forum.ubuntu-fr.org/viewtopic.php?pid=3013501#p3013501

le premier script sert a lancer le serveur ( + fenetre zenity --question)
et le second
sert a l'etteindre toujours avec une fenetre zenity --question.

en fait j'ai voulu faire un mix des 2
deja pour ne former qu'un seul script
et puis j'ai voulu rajouté une icone dans le systray (zenity --notification)
permettant ainsi  d'arreter le serveur quand on click dessus

donc dans les faits le fonctionnement est le suivant:
on lance le script.
arrive une fenetre demandant si oui ou non on veut continuer l'action.

si non: tout s'arrete ( logique)
si oui... le serveur se lance puis apparait dans le systray l'icone.

dela quand on click sur l'icone ( pour l'arreter)
une fenetre apparait de nouveaux nous demandant si oui ou non ..on veut arreter l'operation.

si oui: le serveur s'arrete et l'icone dans le systray disprait
si non: le serveur continu de tourner.

mais le probleme si le choix est non ( qu'on veut en fait, laisser encore tourner le serveur)
l'icone dans le systray disparait quand meme me laissant dans l'impossibilité d'arreter ulterieurement le serveur.

Plus Simplement ma question est:
Comment faire pour que l'icone reste dans le systray quand bien meme l'utilisateur click sur Non ( et laisse donc tourner le serveur)

voila en esperant a voir etait clair et en vous remerciant par avance.

ci joint le script:

#!/bin/bash

zenity --question --text="Ce dossier va être partagé sur le réseau. \n\nIl sera accessible par navigateur à l'adresse:\n\ip_de_ce_poste:8000\n\nContinuer?" || exit
python -m SimpleHTTPServer &
zenity --notification  --text="Appuyer pour éteindre le serveur."
pro=$(ps ax | grep "python -m SimpleHTTPServer" | head -n1)
iden=$(ps ax | grep "python -m SimpleHTTPServer" | head -n1 | awk '{print $1}')

zenity --question --text="Tuer le processus suivant? :\n\n$pro" || exit
kill $iden

exit

Merci encore

Dernière modification par smecher (Le 11/12/2009, à 12:51)


http://smecher.ecchi.ca/

Hors ligne

#2 Le 08/12/2009, à 20:17

frafa

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Bonjour,
Genre comme ca dans une boucle,
j'ai essayé de ne pas trop modifier ton code...

#!/bin/bash
zenity --question --text="Ce dossier va être partagé sur le réseau. \n\nIl sera accessible par navigateur à l'adresse:\n\ip_de_ce_poste:8000\n\nContinuer?" || exit
python -m SimpleHTTPServer &
pro=$(ps ax | grep "python -m SimpleHTTPServer" | head -n1)
iden=$(ps ax | grep "python -m SimpleHTTPServer" | head -n1 | awk '{print $1}')
while true
do
zenity --notification  --text="Appuyer pour éteindre le serveur."
zenity --question --text="Tuer le processus suivant? :\n\n$pro"
test $? -eq 0 && break
done
kill $iden
exit 0

Dernière modification par frafa (Le 08/12/2009, à 20:27)

Hors ligne

#3 Le 08/12/2009, à 20:42

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Que dire de plus qu'un grand

MERCI
big_smile

C'est exactement ca que je cherchais...

C'est vraiment tres sympa.

Grace a  Python, grace ce script et egalement grace a ton aide precieuse, maintenant le partage de fichier se fait encore plus facilement.

dans un reseau local et pour des besoins ponctuels, plus besoin d'installer samba ou passer des heures a monter son ftp...etc...

en fait ce script permet de lancer un serveur internet en un seul click dans le dossier ou le script est lancé.

donc direct dans nautilus script et comme ca, tous les dossiers de son choix peuvent etre partagé.
et en plus il y a du "visuel" grace a cette fameuse icone dans le systray.


Merci encore
Bonne continuation

bye


http://smecher.ecchi.ca/

Hors ligne

#4 Le 08/12/2009, à 21:28

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Ou encore :

#!/bin/bash

interface=eth0
DIR=${1:-$PWD}

zenity --info --text="
\"$DIR\" sera partagé sur le réseau.

Il sera accessible par navigateur à l'adresse:
public: $(curl -s http://sputnick-area.net/ip):8000
privé: $(ifconfig $interface | grep -oP 'inet (addr:)?\K(\d{1,3}\.){3}\d{1,3}'):8000

Continuer ?" || exit 0

(python -m SimpleHTTPServer &>/dev/null) & PyHttpPid=$!
zenity --notification --text="Appuyer pour éteindre le serveur."
kill $PyHttpPid

Pour ceux qui sont sous kde4, ajouter ca pour avoir une action supplémentaire dans konqueror... dans

$HOME/.kdemod4/share/kde4/services/pythonHttpdServer.desktop
[Desktop Entry]
ServiceTypes=all/allfiles,KonqPopupMenu/Plugin
MimeType=all/all;
Type=Service
Actions=pythonHttpdServer
X-KDE-Priority=TopLevel

[Desktop Action pythonHttpdServer]
Name=pythonHttpdServer
Exec=~/bin/PythonHttpdServerGui %u

Remplacer

 ~/bin/PythonHttpdServerGui

par le chemin où vous avez placé le script du dessus.

Dernière modification par sputnick (Le 08/12/2009, à 22:24)


bashfr.org(random);
<arciks1994> dou tu connai qel age j'ai ?

Hors ligne

#5 Le 09/12/2009, à 00:06

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

deja Merci aussi a toi Sputnick

c'est vrai que le tien aussi est bin sympa... tres bien vu le coup de L'ip interne et Externe. et le coup aussi de situer les dossier : /home/user/etc///

Par contre aucune ip ne s'affiche
( je suis sous hardy c'est peut etre du a ca)

 line 6: curl : commande introuvable
grep: Support for the -P option is not compiled into this --disable-perl-regexp binary

Mais pas de souci  big_smile
j'ai trouvé la parade

un truc qui me chagrine un peut c'est le coup du eth0
a vrai dire, moi je suis sous ra0
donc si il faut que chaque utilisateur change du code c'est moins chouette pour le script donc..j'ai trouvé ceci a la place:

IP_ADDR=$(ifconfig $IFACE | grep inet | cut -d ":" -f2 | cut -d " " -f1)

donc automatiquuement il trouve l'interface.. c'est bien mieux par contre ne connaissant pas trop grep & co...

je me retrouve avec :

privé: 127.0.0.1

192.168.1.22:8000

ce qui me gene en fait c'est de voir afficher le: 127.0.0.1

je ne sais pas comment l'enlever donc si vous aviez une solution?

et pour le reste du script j'ai garder la premiere version, je trouve plus sympa de demander confirmation avant d'arreter le serveur ou de le lancer.

donc voici le code amelioré:

#!/bin/bash
IP_ADDR1=$(wget -O - -q http://sputnick-area.net/ip)
IP_ADDR=$(ifconfig $IFACE | grep inet | cut -d ":" -f2 | cut -d " " -f1)
DIR=${1:-$PWD}

zenity --question --text="\"$DIR\" 
sera accessible dans votre navigateur à l'adresse:

public: $IP_ADDR1:8000
privé: $IP_ADDR:8000


Continuer?" || exit
python -m SimpleHTTPServer &
pro=$(ps ax | grep "python -m SimpleHTTPServer" | head -n1)
iden=$(ps ax | grep "python -m SimpleHTTPServer" | head -n1 | awk '{print $1}')
while true
do
zenity --notification  --text="Appuyer pour éteindre le serveur."
zenity --question --text="Tuer le processus suivant? :\n\n$pro"
test $? -eq 0 && break
done
kill $iden
exit 0

a ce stade..il faut essayer de virer le 127.0.0.1 , il sert a rien et casse tout le charme du script big_smile

A Plus et Merci encore

Dernière modification par smecher (Le 09/12/2009, à 00:08)


http://smecher.ecchi.ca/

Hors ligne

#6 Le 09/12/2009, à 00:47

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

#!/bin/bash

iface=ra0
IP_ADDR1=$(wget -O - -q http://sputnick-area.net/ip)
IP_ADDR=$(ifconfig $iface | awk '/inet/{gsub(" *inet addr:","");print $1}')
DIR=${1:-$PWD}

zenity --question --text="\"$DIR\"
sera accessible dans votre navigateur a l'adresse:

public: $IP_ADDR1:8000
privé: $IP_ADDR:8000

Continuer?" || exit 0

python -m SimpleHTTPServer & pro=$!
zenity --notification  --text="Appuyer pour éteindre le serveur" && kill $pro

- Je ne te conseille pas "ps | traitements..." alors que $! contient le PID de la derniere commande lancée en tache de fond.
    Puis si tu tiens à faire comme ça, utilise pkill ou pgrep.
- pour l'IP, comme tu voit je me sert de awk, gsub c'est pour faire des substitutions.
- Je suis resté au plus près de ta facon de faire en corrigeant ce qui n'allait pas
- le exit 0 est necessaire seulement quand utilisé via le menu contextuel de kde sinon ca genere une erreur
- la boucle while ne sert à rien que je sache.


bashfr.org(random);
<arciks1994> dou tu connai qel age j'ai ?

Hors ligne

#7 Le 09/12/2009, à 00:53

n3o51

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Boinsoir savez vous ou et comment mettre l'index.html d'il existe ou le modifier s'il vous plait.


Welcome to the real world
________________________________

Hors ligne

#8 Le 09/12/2009, à 18:17

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Bonjour tout le Monde

Continuons encore une fois par dire
Merci,
c'est toujours tres enrichissant de discuter et d'apprendre de nouvelles choses.

@n3o51

en fait...
ce script permet de lancer un serveur web grace a python.
il se lance dans le dossier ou se trouve ce sript.
et tu peux le visualiser grace a ton navigateur internet a l'adresse
localhost:8000
(ou Ip de ton ordi suivit de:8000)

donc par exemple si tu le lance dans ton home:
/home/n3o51/
dans ton firefox (ou autre) tu verras tous tes dossiers de ton home..comme sur un serveur ftp)
et si tu veux voir apparaitre une page html tu te creé ta page index.html

donc le plus simple est de te creer un dossier d'y mettre ce script + ta page index.html
grace a ca... dans ton navigateur... tu ne verras que ta page html.

@sputnick

Merci de ton coup de main , c'est tres sympa.
Pour dire vrai... je mis connais que tres peut  en bash ...et ce script est le mix de plusieurs scripts trouvé ici et la, donc effectivement il peut etre mal creer/syntaxer , alors encore Merci de l'avoir corriger et de m'avoir donné des explications.

pour repondre a ta question sur la boucle while.
en fait c'est frafra qui m'avait conseillé ca.

Parceque dans l'idée, je vois ce script de la maniere suivante:
on lance le script..une fenetre zenity..voulez vous continuer etc.. oui/non
si oui:
apparait l'icone dans le systray
on click dessus pour etteindre le serveur et.. j'aurais souhaité qu'apparaissent une autre fenetre zenity de confirmation
pour savoir si oui ou non..on veut rellement l' etteindre.

j'ai rajouté dans le script suivant cette fenetre zenity.
Elle marche tres bien quand  on valide pour quitter...
mais le probleme est que lorsque que l'on repond non... l 'icone dans le systray disparait mais  le serveur continu de tourner donc il met impossible de l'etteindre...

c'est en faitt le 1er probleme de mon post numero 1:
a savoir, comme laissser l'icone dans le systray si on repond non.

C'est donc pour ca que farafra ..avez rajouter la boucle while
( bien evidement si elle sert a ca)
( je ne connais que tres peut en script bash big_smile
donc peut etre je fais du hors sujet big_smile


Et un dernier truc
dans la premiere fenetre zenity
ip public tout est Ok
par contre
l'ip privé
j'ai ecris ceci:

privé: inet
adr:8000

donc toujours pas d' ip locale
mais tout le reste marche, et je n'ai pas d'erreur dans le terminal

#!/bin/bash

iface=ra0
IP_ADDR1=$(wget -O - -q http://sputnick-area.net/ip)
IP_ADDR=$(ifconfig $iface | awk '/inet/{gsub(" *inet addr:","");print $1}')
DIR=${1:-$PWD}

zenity --question --text="\"$DIR\"
sera accessible dans votre navigateur a l'adresse:

public: $IP_ADDR1:8000
privé: $IP_ADDR:8000

Continuer?" || exit 0

python -m SimpleHTTPServer & pro=$!
zenity --notification  --text="Appuyer pour éteindre le serveur" 
zenity --question --text="Voulez vous vraiment arreter le serveur ?"
&& kill $pro

ceci est ton script + la fenetre de confirmation pour quitter


http://smecher.ecchi.ca/

Hors ligne

#9 Le 09/12/2009, à 18:33

n3o51

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Bonsoir merci smile


Welcome to the real world
________________________________

Hors ligne

#10 Le 09/12/2009, à 18:55

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

@smecher :

ifconfig $iface | awk '/inet/{gsub(" *inet addr:","");print $2}'

Si ca marche toujours pas, colle moi la sortie de ifconfig <ton interface>

Dernière modification par sputnick (Le 09/12/2009, à 18:56)


bashfr.org(random);
<arciks1994> dou tu connai qel age j'ai ?

Hors ligne

#11 Le 09/12/2009, à 19:07

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Bonsoir

bon y'a du nouveau....
ca marche presque big_smile
en fait, maintenant l'ip reseau apparait mais que dans le terminal, pas dans la fenetre zenity big_smile
qui elle marque:

privé: :8000

et il y ecrit ceci dans le terminal:

adr:192.168.1.22
inet6:

et pour la reponse de ta commande:

 Link encap:Ethernet  HWaddr 00:22:43:5d:99:20  
          inet adr:192.168.1.22  Bcast:192.168.1.255  Masque:255.255.255.0
          adr inet6: fe80::222:43ff:fe5d:9920/64 Scope:Lien
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          Packets reçus:957813 erreurs:0 :0 overruns:0 frame:0
          TX packets:288674 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 lg file transmission:1000 
          Octets reçus:262765550 (250.5 MB) Octets transmis:305571516 (291.4 MB)
          Interruption:18

je suis sous hardy +eepc 1100h

voila smile
Merci


http://smecher.ecchi.ca/

Hors ligne

#12 Le 09/12/2009, à 19:54

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

rectification:
j'ai mal recopié ton code désolé

ifconfig $iface | awk '/inet/{gsub(" *inet addr:","");print $2}'

maintenant lr resultat est different
t dans la fenetre zenity j'ai ceci:

privé: adr:192.168.1.22
inet6::8000

donc on y est presque.
adr et inet6: sont en trops.

J'espere que tu n'as pas lu mon post de tout a l'heure et que tu n'est pas entrain de te creuser la tete pour rien.

encore une fois desolé..et Merci

Petite question:

Pourquoi dans ton script
tu as besoins de marquer:

iface=ra0

?

sans preciser ca, ca devrait quand meme marcher , non?
voila ce que me retourne zenity ( lorsque je l'enleve)

privé: adr:127.0.0.1
inet6:
adr:192.168.1.22
inet6::8000

Dernière modification par smecher (Le 09/12/2009, à 20:44)


http://smecher.ecchi.ca/

Hors ligne

#13 Le 09/12/2009, à 22:52

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

foo=bar c'est une assignation de variable.
Je peux appeler plus loin dans le script $foo qui affichera bar. C'est le premier truc qu'on apprend pour ceux qui codent. Dans notre cas, ca permet aux personnes voulant utiliser le script de n'avoir que cette variable à changer.

Pour le awk, voici :

awk '/inet/{gsub(" *inet add?r:","");print $1;exit}'

bashfr.org(random);
<arciks1994> dou tu connai qel age j'ai ?

Hors ligne

#14 Le 10/12/2009, à 00:23

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

C'est bon victoire ca marche big_smile

donc en l'hure actuel le script est le suivant:

#!/bin/bash

iface=ra0
IP_ADDR1=$(wget -O - -q http://sputnick-area.net/ip)
IP_ADDR=$(ifconfig $iface | awk '/inet/{gsub(" *inet add?r:","");print $1;exit}')
DIR=${1:-$PWD}

zenity --question --text="\"$DIR\"
sera accessible dans votre navigateur a l'adresse:

public: $IP_ADDR1:8000
privé: $IP_ADDR:8000

Continuer?" || exit 0

python -m SimpleHTTPServer & pro=$!
zenity --notification  --text="Appuyer pour éteindre le serveur" && kill $pro

c'est deja a ce stade super smile

a pres j'ai pas tres bien compris ton foo=bar...
je suppose que la variable que l'utilisateur doit changer..est celui de iface=?
suivant sa config a lui? wlan0 eth0 etc...

Voila pour ce soir ( en tout cas pour moi) big_smile

demain je me penche sur la derniere partie, ou plutot la derniere fenetre de zenity du style:
zenity --question --text="Voulez vous vraiment stopper le serveur"

permettant si oui..de tuer le processus..soit si l'utilisateur click sur non...de laisser tourner le serveur et de laisser l'icone dans le systray

Sputnick Merci encore, c'est un script super efficace que tu es entrain de faire smile
de plus ca me permet dapprendre un peut plus sur les scripts bash.

On y est presque big_smile


http://smecher.ecchi.ca/

Hors ligne

#15 Le 10/12/2009, à 01:56

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Ah, ok smile Bon ben voila alors :

#!/bin/bash

iface=ra0
IP_ADDR1=$(wget -O - -q http://sputnick-area.net/ip)
IP_ADDR=$(ifconfig $iface | awk '/inet/{gsub(" *inet add?r:","");print $1;exit}')
DIR=${1:-$PWD}

if nc -z -w2 localhost 8000; then
    zenity --error --title="error:" --text="Le port localhost:8000 bind deja !\n\nSeeYa..."
    exit 1
fi

zenity --question --text="\"$DIR\"
sera accessible dans votre navigateur a l'adresse:

public: $IP_ADDR1:8000
privé: $IP_ADDR:8000

Continuer?" || exit 0

python -m SimpleHTTPServer & pro=$!

while true; do
    zenity --notification  --text="Appuyer pour éteindre le serveur"

    if zenity --question --title="Confirmation?" --text="T'es sur ??? Ca va vraiment trancher chérie !"; then
        kill $pro
        exit $?
    fi
done

J'ai rajouté un test + sortie du script si le port est deja occupé...


bashfr.org(random);
<arciks1994> dou tu connai qel age j'ai ?

Hors ligne

#16 Le 10/12/2009, à 16:53

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

c'est exactement ca
Bravo, c'est Genial smile
c'est le script parfait smile

Chapeau l'artiste

en plus comme tu le dis:

Ca va vraiment trancher chérie !

Plus serieusement, avant de passer le post en resolu
j'aurais aimé que tu m'aides a mettre des commentaires dans le script.
J'airais aimé savoir si ton explication pour KDe marche encore ou s'il il y a des trucs a rajouter.
voila et encore Merci

#!/bin/bash

#by:
#
#                 _         _      _    
# ___ _ __  _   _| |_ _ __ (_) ___| | __
#/ __| '_ \| | | | __| '_ \| |/ __| |/ /
#\__ \ |_) | |_| | |_| | | | | (__|   < 
#|___/ .__/ \__,_|\__|_| |_|_|\___|_|\_\
#    |_|   
#
#
#
# Script permettant de lancer le serveur Python SimpleHTTPServer dans le dossier en cours,
#et de connaitre egalement son Ip interne ou externe.
#
# Pour des questions ou des infos : http://forum.ubuntu-fr.org/viewtopic.php?id=364489
#
#Prerequis:
#nécessite zenity
#
#
#Premiere Utilisation:
#Changer iface=ra0 par celle de votre systeme. ex: iface=eth0, iface=wlan0 etc...
#
#note:
#si l'adresse de localisation de votre Ip externe de marche pas, utiliser celle ci:
#http://www.whatismyip.org
#
#enjoy's.

iface=ra0
IP_ADDR1=$(wget -O - -q http://sputnick-area.net/ip)
IP_ADDR=$(ifconfig $iface | awk '/inet/{gsub(" *inet add?r:","");print $1;exit}')
DIR=${1:-$PWD}

if nc -z -w2 localhost 8000; then
    zenity --error --title="error:" --text="Le port localhost:8000 bind deja !\n\nSeeYa..."
    exit 1
fi

zenity --question --text="\"$DIR\"
sera accessible dans votre navigateur a l'adresse:

public: $IP_ADDR1:8000
privé: $IP_ADDR:8000

Continuer?" || exit 0

python -m SimpleHTTPServer & pro=$!

while true; do
    zenity --notification  --text="Appuyer pour éteindre le serveur"

    if zenity --question --title="Confirmation?" --text="T'es sur ??? Ca va vraiment trancher chérie !"; then
        kill $pro
        exit $?
    fi
done

a au fait... ton adresse pour avoir l'  IP marche pas aujourd'hui
a + et Merci


http://smecher.ecchi.ca/

Hors ligne

#17 Le 10/12/2009, à 17:09

frafa

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

bonjour,
pour recuperer ip public, vaudrait vraiment mieux ce genre de code...

ipfai="$(wget http://checkip.dyndns.org/ -O - -o /dev/null | cut -d: -f 2 | cut -d\< -f 1)"
echo $ipfai

Dernière modification par frafa (Le 10/12/2009, à 17:09)

Hors ligne

#18 Le 10/12/2009, à 17:29

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Le script avec les nouveaux commentaires est dispo en ligne ici :
http://www.sputnick-area.net/scripts/SimpleHTTPServerGui.bash

Merci pour le retour sur l'erreur 404, mon site http://www.sputnick-area.net a été remanié cette nuit ( RewriteRules ) et j'avais pas vu ça. Ca ne devrais plus bouger de sitot.

Oui, pour kde ca doit etre ok dans le menu contextuel.

++


bashfr.org(random);
<arciks1994> dou tu connai qel age j'ai ?

Hors ligne

#19 Le 10/12/2009, à 17:32

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

@frafra, mon awk a été testé sur MacOsX, archlinux et ubuntu et semble fonctionner correctement.


bashfr.org(random);
<arciks1994> dou tu connai qel age j'ai ?

Hors ligne

#20 Le 10/12/2009, à 19:24

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Excellent Sputnick
ca c'est du script big_smile .... et de la dedicace big_smile

Merci pour ton Boulot, c'est sympa.

a titre d'info... un script (  c'est fois ci en python) , toujours a propos de ce serveur est celui ci:

http://stackp.online.fr/?p=28

il est tres efficace

il permet de faire de l'Upload .
le petit hic de ce serveur c'est que si j'ai bien compris le PHP est a oublié avec python.

par contre ou c'est fort, c'est que meme sous d'autres plateforme , il n'y a juste qu'a installer python..et c'est partie big_smile
et on peut ce servir de ce serveur pour partager des fichiers upload/download extremement facilement
finis la galere d'apache ftp et ces fichiers de conf big_smile puis quand on change de plateforme..il faut retrouver/trouver les bons reglages etc...


ce serveur est bien + simple a mettre en oeuvre qu'un samba linux/windows..mot de passe /console etc...etc...

en 10 seconde il tourne big_smile
http://blog.rom1v.com/2009/12/creer-un-serveur-http-en-10-secondes/

Pour Conclure..je pense qu'il y a moyen de faire qqs choses  de sympa avec ces scripts.


imaginer un peut le truc.
faire une "web application" de partage en reseau le tout tres facilement.
download et upload classic dans le navigateur
puis quand le navigateur est etteind,
coupler le tout avec..notify-send ( vous avez un nouveaux fichier( son nom , taille etc..Ip qui envois etc.. etc...)

ou  avec une fenetre zenity

a vrai dire je ne connais pas d'autre projet comme ca
simple
extremement rapide en mettre en route ( 10 secondes)
pas de fichier de conf infernaux
pas besoin d'etre root
etc.... big_smile
Quand pensez vous?
c'est jouable a faire.
ou c'est vraiment galere?

En tous les cas un grand merci a tous les participants et bien sur un grand Merci
a Sputnick le Grand big_smile

bye bonne continuation a vous
et vive l'Opensource et Gnu/Linux
big_smile
bye


http://smecher.ecchi.ca/

Hors ligne

#21 Le 10/12/2009, à 21:35

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Nickel http://stackp.online.fr/?p=28 aussi, bon lien. Ca fait un petit copain à SimpleHTTPServer.


bashfr.org(random);
<arciks1994> dou tu connai qel age j'ai ?

Hors ligne

#22 Le 10/12/2009, à 22:03

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

T'imagines...

si dans la meme page tu pouvais trouvé ce script de  Upload + dans une Div ou autre le contenu du dossier ou est envoyer les fichiersr..

ca fairait vraiment, un partage simple et rapide en " Webapllication"

ca nous fairais un truc terrible
Hyper efficace pour partager ou Uploader dans un reseau
sans aucune configuration
et le tout en 10 seconde

Python...c'est la classe
big_smile


http://smecher.ecchi.ca/

Hors ligne

#23 Le 11/12/2009, à 22:20

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

@sputnick

j'aurais une petite demande de rajout big_smile , ou plutot creer un second script mais avec une option en plus.
Une variante smile

Je m'explique.
Pour l'heure, pour lancer ce script plusieurs choix:
-soit par nautilus cripts, (ou sur kde je pense quelque chose de semblable) a savoir click droit et dans le menu..on lance le script.
-soit en placant ce script dans le dossier que l'on veut pour serveur et de lancer le script

Mon idée est la suivante, je pense qu'elle ne doit pas etre tres dur a mettre en place.
ce serait apres la premiere fenetre zenity
zenity --question

de rajouter une fenetre zenity
zenity --file-selection

qui nous permettrais d'ouvrire le "petit" explorateur de dossier et de selectioner celui qu'on veut.

pour tout le reste c'est la meme chose.

En fait cette fois ci, c'est de selectionner son dossier grace a zenity
( ca permet a ce qui n'utilise pas nautilus script ou autre..de s'en sortir encore plus facilement.

Quand penses tu?

voila smile

a oui, un truc...
Enorme ton
selector.pl.bash

vraiment c'est le genre de truc que j'aime...
-de la couleur dans la console ( c'est trops rare en regle genrale la couleur en console, c'est dommage)
-des choix  clairs etc..

et de la super bonne musique qui m'en fait craquer le terminal

smile
Vraiment sympa ton site

@+
et Merci


et un lien qui est toujours bon a replacer pour celle ou celui qui tomberra sur ce post..en ayant chercher des scripts bash...

Une exploration en profondeur de l'art de la programmation shell

http://abs.traduc.org/abs-fr/

bye

Dernière modification par smecher (Le 11/12/2009, à 22:22)


http://smecher.ecchi.ca/

Hors ligne

#24 Le 11/12/2009, à 22:31

n3o51

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

a oui, un truc...
Enorme ton
selector.pl.bash

et ça 

vraiment c'est le genre de truc que j'aime...
-de la couleur dans la console ( c'est trops rare en regle genrale la couleur en console, c'est dommage) 
-des choix  clairs etc..

bonsoir mais c'est ou ça je vois pas  ???


Welcome to the real world
________________________________

Hors ligne

#25 Le 11/12/2009, à 22:38

smecher

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

sur le site de Sputnick

il a pleins de bon scripts wink

http://www.sputnick-area.net/?cat=5


http://smecher.ecchi.ca/

Hors ligne

Haut de page ↑